Package: org.codehaus.groovy.runtime

## [Java] Class MethodKey

- org.codehaus.groovy.runtime.MethodKey

-     public abstract class MethodKey
      extends Object

  An abstract base class for a key used for comparators and Map keys to look up a method by name and parameter types

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodKey(Class sender, String name, boolean isCallToSuper)` Constructs a MethodKey for a method invocation.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MethodKey` | `createCopy()` Creates an immutable copy that we can cache.
    `` | `protected int` | `createHashCode()`
    `` | `public boolean` | `equals(Object that)`
    `` | `public boolean` | `equals(MethodKey that)`
    `` | `public String` | `getName()`
    `` | `public abstract int` | `getParameterCount()`
    `` | `public abstract Class` | `getParameterType(int index)`
    `` | `public List` | `getParamterTypes()`
    `` | `public int` | `hashCode()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MethodKey(Class sender, String name, boolean isCallToSuper)

      Constructs a MethodKey for a method invocation.

      Parameters:
        `sender` - the class that sends the method call
        `name` - the method name
        `isCallToSuper` - whether this is a super method call

  - ### Method Detail

    - #### public MethodKey createCopy()

      Creates an immutable copy that we can cache.

    - #### protected int createHashCode()

    - #### public boolean equals(Object that)

    - #### public boolean equals(MethodKey that)

    - #### public String getName()

    - #### public abstract int getParameterCount()

    - #### public abstract Class getParameterType(int index)

    - #### public List getParamterTypes()

    - #### public int hashCode()

    - #### public String toString()